dpp::permission_overwrite
channel.h
permission permission dpp::permission_overwrite::allow allow dpp::permission_overwrite::allow

Bitmask of allowed permissions.

permission permission dpp::permission_overwrite::deny deny dpp::permission_overwrite::deny

Bitmask of denied permissions.

snowflake snowflake dpp::permission_overwrite::id id dpp::permission_overwrite::id

ID of the role or the member.

uint8_t uint8_t dpp::permission_overwrite::type type dpp::permission_overwrite::type

Type of overwrite. See dpp::overwrite_type.

dpp::permission_overwrite::permission_overwrite
()
permission_overwrite
dpp::permission_overwrite::permission_overwrite

Construct a new permission_overwrite object.

dpp::permission_overwrite::permission_overwrite
(snowflake id, uint64_t allow, uint64_t deny, overwrite_type type)
permission_overwrite
dpp::permission_overwrite::permission_overwrite
snowflake id
uint64_t allow
uint64_t deny
overwrite_type type

Construct a new permission_overwrite object.

id

ID of the role or the member to create the overwrite for

allow

Bitmask of allowed permissions (refer to enum dpp::permissions) for this user/role in this channel

deny

Bitmask of denied permissions (refer to enum dpp::permissions) for this user/role in this channel

type

Type of overwrite

Channel permission overwrites.

dpp::permission
value
dpp::permission_overwrite
id
allow
deny
type
dpp::snowflake
value
uint64_t
uint8_t
- dpp::permission_overwrite
  allow
- dpp::permission_overwrite
  deny
- dpp::permission_overwrite
  id
- dpp::permission_overwrite
  permission_overwrite
- dpp::permission_overwrite
  permission_overwrite
- dpp::permission_overwrite
  type